playeffect("perehod",true)

function SelectRandom()
  if not obj.mech_20_0.is_collapsed then
    giveMeHint(obj.mech_20_0.id);
  return end
  if not neighbors.MuzeyTrava.lock and obj.serp_3_1 and obj.serp_3_1.is_collapsed then
    giveMeHint(obj.mini_MuzeyTrava_5_0.id);
  return end  
  if not flags.gate_open and (obj.pila_11_1 and obj.pila_11_1.is_collapsed) then
    giveMeHint(3);
  return end
  if not (obj.hawk_coin_20_11 and obj.hawk_coin_20_11.is_collapsed) 
  and (obj.lopata_13_1 and obj.lopata_13_1.is_collapsed) then
    giveMeHint(2);
  return end
  CreatePlashechka("10001")
end;

if not obj.mech_20_0.is_collapsed then
  setCursor(obj.mech_20_0.id,4)
end;
if flags.gate_open then
  setCursor(4,5)
else
  setCursor(3,2)
end;
if not flags.yama then
  setCursor(2,2)
end;
setCursor(obj.mini_MuzeyTrava_5_0.id,2);
setCursor(obj.door_Besedka_20_0.id,6)
if flags.travaskos then
set_visible_object(obj.zarosli_travy_5_0.id,false)
end;
if neighbors.MuzeyTrava.lock then
  set_visible_object(obj.mini_MuzeyTrava_5_0.id,false)
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender, obj_id, attachedID);
  if sender==1 then
    if obj_id == obj.door_Besedka_20_0.id then
      jump("Muzey")
    end
    if obj_id == obj.mini_MuzeyTrava_5_0.id then
      CreateSatelite("MuzeyTrava");
      playeffect("sat")
    end;    
    if obj_id==obj.mech_20_0.id then
      StopEmiter("Standart_20_3");
      StoreObj(obj.mech_20_0.id)
    --  speciale_action(2,obj.shadow_20_0.id)
    end;
    if obj_id==2 then
      CreateSatelite("Yama");
      playeffect("sat")
    end;
    if obj_id==3 then
      CreateSatelite("GateK");
      playeffect("sat")
    end;    
    if obj_id==4 then
      jump("Backyard")
    end;
  end
end